Bug 326742

Summary: Scanning for faces crashes
Product: digikam Reporter: Jaap <opensource>
Component: Faces-EngineAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: axel.krebs, caulier.gilles
Priority: NOR Keywords: drkonqi
Version: 3.5.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 5.1.0
Attachments: New crash information added by DrKonqi

Description Jaap 2013-10-27 14:48:04 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.2
Qt Version: 4.8.4
Operating System: Linux 3.11.0-12-generic i686
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:
I was tagging my photos for almost 2 hours. Durring a rescan with option "Skip images already scanned" the application crashed. It looks like it's related to the files which are handled. Maybe some unreadable or corrupt file?

- Custom settings of the application:
Using mysql database

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xad54f900 (LWP 15977))]

Thread 20 (Thread 0xad526b40 (LWP 15978)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a91a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xadbb4392 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb322cd78 in start_thread (arg=0xad526b40) at pthread_create.c:311
#4  0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 19 (Thread 0xaa98cb40 (LWP 15979)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb323084b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4aae9bc in __pthread_cond_wait (cond=0x9b80128, mutex=0x9b80110) at forward.c:149
#3  0xb4d90ca5 in wait (time=4294967295, this=0x9b80110) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x9b80084, mutex=mutex@entry=0x9b80080, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820d9c4 in Digikam::ScanController::run (this=0x9b88710) at /build/buildd/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4d9072f in QThreadPrivate::start (arg=0x9b88710) at thread/qthread_unix.cpp:338
#7  0xb322cd78 in start_thread (arg=0xaa98cb40) at pthread_create.c:311
#8  0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 18 (Thread 0xa9fffb40 (LWP 15980)):
#0  0xb4a919c8 in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0xb2e1da3b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e0eb58 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xa9600468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0xa9fff068, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0xa9fff068, flags=...) at kernel/qeventloop.cpp:204
#7  0xb4d8de3d in QThread::exec (this=this@entry=0x9b82930) at thread/qthread.cpp:542
#8  0xb4e7ee14 in QInotifyFileSystemWatcherEngine::run (this=0x9b82930) at io/qfilesystemwatcher_inotify.cpp:265
#9  0xb4d9072f in QThreadPrivate::start (arg=0x9b82930) at thread/qthread_unix.cpp:338
#10 0xb322cd78 in start_thread (arg=0xa9fffb40) at pthread_create.c:311
#11 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 17 (Thread 0xa95ffb40 (LWP 15984)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb323084b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4aae9bc in __pthread_cond_wait (cond=0x9da6820, mutex=0x9da6808) at forward.c:149
#3  0xb4d90ca5 in wait (time=4294967295, this=0x9da6808) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x9bb0140, mutex=mutex@entry=0x9bb013c, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb699cd54 in Digikam::ParkingThread::run (this=0x9bb0130) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4d9072f in QThreadPrivate::start (arg=0x9bb0130) at thread/qthread_unix.cpp:338
#7  0xb322cd78 in start_thread (arg=0xa95ffb40) at pthread_create.c:311
#8  0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 16 (Thread 0xa88dbb40 (LWP 15985)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a8f8db in read () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e50d3e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0e64b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0eaea in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xa7f00488, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0xa88db068, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0xa88db068, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4d8de3d in QThread::exec (this=this@entry=0x9fead80) at thread/qthread.cpp:542
#10 0xb4e7ee14 in QInotifyFileSystemWatcherEngine::run (this=0x9fead80) at io/qfilesystemwatcher_inotify.cpp:265
#11 0xb4d9072f in QThreadPrivate::start (arg=0x9fead80) at thread/qthread_unix.cpp:338
#12 0xb322cd78 in start_thread (arg=0xa88dbb40) at pthread_create.c:311
#13 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 15 (Thread 0x70cffb40 (LWP 26248)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a9bfb7 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb27a62f0 in ?? () from /usr/lib/libtbb.so.2
#3  0xb27a631d in ?? () from /usr/lib/libtbb.so.2
#4  0xb322cd78 in start_thread (arg=0x70cffb40) at pthread_create.c:311
#5  0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 14 (Thread 0x70afeb40 (LWP 26249)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a9bfb7 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb27a62f0 in ?? () from /usr/lib/libtbb.so.2
#3  0xb27a631d in ?? () from /usr/lib/libtbb.so.2
#4  0xb322cd78 in start_thread (arg=0x70afeb40) at pthread_create.c:311
#5  0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 13 (Thread 0x708fdb40 (LWP 26250)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a9bfb7 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb27a62f0 in ?? () from /usr/lib/libtbb.so.2
#3  0xb27a631d in ?? () from /usr/lib/libtbb.so.2
#4  0xb322cd78 in start_thread (arg=0x708fdb40) at pthread_create.c:311
#5  0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 12 (Thread 0x9968eb40 (LWP 26251)):
#0  __libc_enable_asynccancel () at ../nptl/cancellation.c:32
#1  0xb4a919f1 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e1da3b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0eb58 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xbb59268, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x9968e068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x9968e068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0x176f0a80) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d8363a in QThreadPoolThread::run (this=0xb14b158) at concurrent/qthreadpool.cpp:107
#10 0xb4d9072f in QThreadPrivate::start (arg=0xb14b158) at thread/qthread_unix.cpp:338
#11 0xb322cd78 in start_thread (arg=0x9968eb40) at pthread_create.c:311
#12 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 11 (Thread 0x706fcb40 (LWP 26256)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a8f8db in read () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e50d3e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0e64b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0eaea in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xba77088, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x706fc068, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x706fc068, flags=...) at kernel/qeventloop.cpp:204
#9  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xd801680) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4d8363a in QThreadPoolThread::run (this=0xb03a010) at concurrent/qthreadpool.cpp:107
#11 0xb4d9072f in QThreadPrivate::start (arg=0xb03a010) at thread/qthread_unix.cpp:338
#12 0xb322cd78 in start_thread (arg=0x706fcb40) at pthread_create.c:311
#13 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 10 (Thread 0xa30e1b40 (LWP 26609)):
#0  __GI___pthread_mutex_lock (mutex=0xa8c86e68) at pthread_mutex_lock.c:136
#1  0xb4aaebc4 in pthread_mutex_lock (mutex=0xa8c86e68) at forward.c:192
#2  0xb2e51ba0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0e13d in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0ea4f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xa210eb60, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0xa30e1068, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0xa30e1068, flags=...) at kernel/qeventloop.cpp:204
#9  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xd720d00) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4d8363a in QThreadPoolThread::run (this=0xb14d468) at concurrent/qthreadpool.cpp:107
#11 0xb4d9072f in QThreadPrivate::start (arg=0xb14d468) at thread/qthread_unix.cpp:338
#12 0xb322cd78 in start_thread (arg=0xa30e1b40) at pthread_create.c:311
#13 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 9 (Thread 0x6fefbb40 (LWP 26627)):
#0  0xb322fc34 in __pthread_mutex_unlock_usercnt (mutex=0xc9ae6d8, decr=1) at pthread_mutex_unlock.c:52
#1  0xb4aaec04 in pthread_mutex_unlock (mutex=0xc9ae6d8) at forward.c:194
#2  0xb2e51be0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0e11e in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0ea4f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xd484b10, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x6fefb068, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x6fefb068, flags=...) at kernel/qeventloop.cpp:204
#9  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xd1a35c0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4d8363a in QThreadPoolThread::run (this=0xb0c4d18) at concurrent/qthreadpool.cpp:107
#11 0xb4d9072f in QThreadPrivate::start (arg=0xb0c4d18) at thread/qthread_unix.cpp:338
#12 0xb322cd78 in start_thread (arg=0x6fefbb40) at pthread_create.c:311
#13 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 8 (Thread 0x6f6fab40 (LWP 26630)):
#0  0xb2de1da1 in g_ptr_array_set_size () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2e0e074 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e0ea4f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xd5709f8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x6f6fa068, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x6f6fa068, flags=...) at kernel/qeventloop.cpp:204
#7  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xc85cad8) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4d8363a in QThreadPoolThread::run (this=0xb148550) at concurrent/qthreadpool.cpp:107
#9  0xb4d9072f in QThreadPrivate::start (arg=0xb148550) at thread/qthread_unix.cpp:338
#10 0xb322cd78 in start_thread (arg=0x6f6fab40) at pthread_create.c:311
#11 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 7 (Thread 0x6c056b40 (LWP 27169)):
#0  0xb2e0e13d in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2e0ea4f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xdf49190, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x6c056068, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x6c056068, flags=...) at kernel/qeventloop.cpp:204
#6  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xde60758) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#7  0xb4d8363a in QThreadPoolThread::run (this=0xa9dfa70) at concurrent/qthreadpool.cpp:107
#8  0xb4d9072f in QThreadPrivate::start (arg=0xa9dfa70) at thread/qthread_unix.cpp:338
#9  0xb322cd78 in start_thread (arg=0x6c056b40) at pthread_create.c:311
#10 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 6 (Thread 0x9a690b40 (LWP 27188)):
[KCrash Handler]
#7  qBlue (rgb=<error reading variable: Cannot access memory at address 0x0>) at /usr/include/qt4/QtGui/qrgb.h:64
#8  Digikam::DImg::DImg (this=0x9a68fd8c, image=...) at /build/buildd/digikam-3.4.0/core/libs/dimg/dimg.cpp:165
#9  0xb6981260 in Digikam::PreviewLoadingTask::execute (this=0xbb75c30) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/previewtask.cpp:288
#10 0xb696e758 in Digikam::LoadSaveThread::run (this=0xe12b310) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#11 0xb699efbe in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xe263c90) at /build/buildd/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#12 0xb4d8363a in QThreadPoolThread::run (this=0xacb2728) at concurrent/qthreadpool.cpp:107
#13 0xb4d9072f in QThreadPrivate::start (arg=0xacb2728) at thread/qthread_unix.cpp:338
#14 0xb322cd78 in start_thread (arg=0x9a690b40) at pthread_create.c:311
#15 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 5 (Thread 0x5e88eb40 (LWP 27566)):
#0  __GI___pthread_getspecific (key=7) at pthread_getspecific.c:26
#1  0xb2e520f2 in g_private_get () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e351ae in g_thread_self () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0ec86 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xdacb908, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x5e88e068, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x5e88e068, flags=...) at kernel/qeventloop.cpp:204
#7  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xca6cce0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4d8363a in QThreadPoolThread::run (this=0xb14ae08) at concurrent/qthreadpool.cpp:107
#9  0xb4d9072f in QThreadPrivate::start (arg=0xb14ae08) at thread/qthread_unix.cpp:338
#10 0xb322cd78 in start_thread (arg=0x5e88eb40) at pthread_create.c:311
#11 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 4 (Thread 0x6d058b40 (LWP 28064)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a91a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e1da3b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0eb58 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xc8f7440, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x6d058068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x6d058068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xa13aca0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d8363a in QThreadPoolThread::run (this=0xa1b24260) at concurrent/qthreadpool.cpp:107
#10 0xb4d9072f in QThreadPrivate::start (arg=0xa1b24260) at thread/qthread_unix.cpp:338
#11 0xb322cd78 in start_thread (arg=0x6d058b40) at pthread_create.c:311
#12 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 3 (Thread 0x6c857b40 (LWP 28068)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4a91a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e1da3b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0eb58 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xd196260, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x6c857068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x6c857068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xd4fc558) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d8363a in QThreadPoolThread::run (this=0xb1487e8) at concurrent/qthreadpool.cpp:107
#10 0xb4d9072f in QThreadPrivate::start (arg=0xb1487e8) at thread/qthread_unix.cpp:338
#11 0xb322cd78 in start_thread (arg=0x6c857b40) at pthread_create.c:311
#12 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0x54eb8b40 (LWP 28069)):
#0  0xb4add173 in __x86.get_pc_thunk.bx () from /lib/i386-linux-gnu/libc.so.6
#1  0xb4aaebd8 in pthread_mutex_unlock (mutex=0xca5dc00) at forward.c:194
#2  0xb2e51be0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e0e53f in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e0eaea in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4ecf8df in QEventDispatcherGlib::processEvents (this=0xc846ff0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0x54eb8068, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4e9ed19 in QEventLoop::exec (this=this@entry=0x54eb8068, flags=...) at kernel/qeventloop.cpp:204
#9  0xb699c322 in Digikam::WorkerObjectRunnable::run (this=0xc5ef658) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4d8363a in QThreadPoolThread::run (this=0xa7f358c8) at concurrent/qthreadpool.cpp:107
#11 0xb4d9072f in QThreadPrivate::start (arg=0xa7f358c8) at thread/qthread_unix.cpp:338
#12 0xb322cd78 in start_thread (arg=0x54eb8b40) at pthread_create.c:311
#13 0xb4aa101e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xad54f900 (LWP 15977)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb323084b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4aae9bc in __pthread_cond_wait (cond=0xa126400, mutex=0xa1263e8) at forward.c:149
#3  0xb4d90ca5 in wait (time=4294967295, this=0xa1263e8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa1251b0, mutex=0xa1251ac, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb699d0b2 in Digikam::WorkerObject::wait (this=0xa126358) at /build/buildd/digikam-3.4.0/core/libs/threads/workerobject.cpp:95
#6  0x08256695 in Digikam::FileActionMngr::shutDown (this=this@entry=0xa126190) at /build/buildd/digikam-3.4.0/core/digikam/fileaction/fileactionmngr.cpp:110
#7  0x082566c7 in Digikam::FileActionMngr::~FileActionMngr (this=0xa126190, __in_chrg=<optimized out>) at /build/buildd/digikam-3.4.0/core/digikam/fileaction/fileactionmngr.cpp:78
#8  0x08256727 in ~FileActionMngrCreator (this=0xa126190, __in_chrg=<optimized out>) at /build/buildd/digikam-3.4.0/core/digikam/fileaction/fileactionmngr.cpp:52
#9  destroy () at /build/buildd/digikam-3.4.0/core/digikam/fileaction/fileactionmngr.cpp:59
#10 0xb49e2791 in __run_exit_handlers (status=status@entry=1, listp=0xb4b5f3e4 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
#11 0xb49e281d in __GI_exit (status=1) at exit.c:99
#12 0xb546edc8 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:782
#13 0xb5f479f9 in KApplication::xioErrhandler (this=0xbfd362c8, dpy=dpy@entry=0x9aa0b70) at ../../kdeui/kernel/kapplication.cpp:419
#14 0xb5f47ab4 in kde_xio_errhandler (dpy=0x9aa0b70) at ../../kdeui/kernel/kapplication.cpp:126
#15 0xb45a8b24 in _XIOError () from /usr/lib/i386-linux-gnu/libX11.so.6
#16 0xb45a629f in _XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#17 0xb4597530 in XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#18 0xb54afcda in x11EventSourceCheck (s=0x9a7e420) at kernel/qguieventdispatcher_glib.cpp:85
#19 0xb2e0e57f in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#20 0xb2e0eaea in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb2e0ec98 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#22 0xb4ecf8bf in QEventDispatcherGlib::processEvents (this=this@entry=0x99f9fc0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#23 0xb54b032e in QGuiEventDispatcherGlib::processEvents (this=0x99f9fc0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#24 0xb4e9e9f3 in QEventLoop::processEvents (this=this@entry=0xbfd360f8, flags=...) at kernel/qeventloop.cpp:149
#25 0xb4e9ed19 in QEventLoop::exec (this=this@entry=0xbfd360f8, flags=...) at kernel/qeventloop.cpp:204
#26 0xb4ea489e in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#27 0xb53f9974 in QApplication::exec () at kernel/qapplication.cpp:3828
#28 0x080bc0b0 in main (argc=5, argv=0xbfd36404) at /build/buildd/digikam-3.4.0/core/digikam/main/main.cpp:235

Reported using DrKonqi
Comment 1 Axel Krebs 2014-04-06 05:52:39 UTC
Created attachment 85975 [details]
New crash information added by DrKonqi

digikam (3.5.0) on KDE Platform 4.12.3 using Qt 4.8.6

- What I was doing when the application crashed:

staring-up crash of DK 3.5 after including large directory with about 200 000 pics

-- Backtrace (Reduced):
#7  qBlue (rgb=<error reading variable: Cannot access memory at address 0x0>) at /usr/include/qt4/QtGui/qrgb.h:64
#8  Digikam::DImg::DImg (this=0x8bba9db0, image=...) at /build/buildd/digikam-3.5.0/core/libs/dimg/dimg.cpp:165
#9  0xb69c5f5f in Digikam::PreviewLoadingTask::execute (this=0x37e61450) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/previewtask.cpp:371
#10 0xb69b2d78 in Digikam::LoadSaveThread::run (this=0x9818818) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/loadsavethread.cpp:136
#11 0xb69e35de in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x9818530) at /build/buildd/digikam-3.5.0/core/libs/threads/dynamicthread.cpp:186
Comment 2 caulier.gilles 2014-05-16 07:29:57 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2014-06-11 21:13:58 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 4 caulier.gilles 2014-06-11 21:30:08 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 5 caulier.gilles 2014-06-18 14:26:15 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 6 caulier.gilles 2014-06-24 12:43:29 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 7 caulier.gilles 2014-06-24 13:53:17 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 8 caulier.gilles 2014-08-24 09:37:35 UTC
We need a fresh feedback about this file using last digiKam 4.2.0

Gilles Caulier
Comment 9 caulier.gilles 2015-06-25 13:11:39 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 10 caulier.gilles 2015-08-20 06:53:33 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 11 caulier.gilles 2016-07-14 05:52:29 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier